PETSc version 3.15.5
Fix/Edit manual page

# PetscSFCreateFromLayouts

Creates a parallel star forest mapping two PetscLayout objects

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFCreateFromLayouts(PetscLayout rmap, PetscLayout lmap, PetscSF* sf)

Collective

### Input Arguments

| rmap | - PetscLayout defining the global root space
| lmap | - PetscLayout defining the global leaf space

### Output Arguments

| sf | - The parallel star forest

### See Also

PetscSFCreate(), PetscLayoutCreate(), PetscSFSetGraphLayout()

### Level

intermediate

### Location

src/vec/is/sf/utils/sfutils.c
Index of all SF routines
Table of Contents for all manual pages
Index of all manual pages